Author: Adrian Föder Category: Http
Created: 2012-04-17 Assigned To: Robert Lemke
Updated: 2012-05-15 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Call to method not being backed by an interface in Http RequestHandler
Description

in Http's RequestHandler's handleRequest() method, there is

$this->router->setRoutesConfiguration($this->routesConfiguration);

in my case case of a Widget Request, $this->router is TYPO3\Fluid\Core\Widget\WidgetRouter which hasn't a 
setRoutesConfiguration() method.

So now there are few issues with that:

    -  the $this->router is annotated to be \TYPO3\FLOW3\Mvc\Routing\Router, not ...RouterInterface
    -  the RouterInterface, however, hasn't the setRoutesConfiguration() method.
    -  the TYPO3\Fluid\Core\Widget\WidgetRouter doesn't implement from that interface
    -  and, as said, the TYPO3\Fluid\Core\Widget\WidgetRouter also doesn't have the setRoutesConfiguration().

Related issues:
related to TYPO3.Fluid - Bug # 36500: Ajax widgets can't be executed Resolved 2012-04-24

History
#1 - 2012-04-17 17:14 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

#2 - 2012-04-24 10:03 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10731

#3 - 2012-04-26 14:16 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10731

#4 - 2012-04-26 14:19 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10734

#5 - 2012-05-09 14:29 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11101

#6 - 2012-05-09 16:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11101

#7 - 2012-05-14 13:12 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11101

#8 - 2012-05-14 16:25 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11101

#9 - 2012-05-15 15:22 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
